Bug 8558 - Better confirmation message for importing frameworks
Summary: Better confirmation message for importing frameworks
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact:
URL:
Keywords:
: 8789 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-02 10:55 UTC by Katrin Fischer
Modified: 2019-06-12 22:43 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 8558: Improve confirmation message for importing frameworks (2.34 KB, patch)
2019-04-29 03:28 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 8558: Improve confirmation message for importing frameworks (4.12 KB, patch)
2019-05-05 22:52 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 8558: Improve confirmation message for importing frameworks (4.17 KB, patch)
2019-05-09 02:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 8558: (QA follow-up) a little more text clean up (97.78 KB, patch)
2019-05-09 02:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 8558: (QA follow-up) a little more text clean up (1.82 KB, patch)
2019-05-09 02:03 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 8558: Improve confirmation message for importing frameworks (4.23 KB, patch)
2019-05-11 09:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8558: (QA follow-up) a little more text clean up (1.87 KB, patch)
2019-05-11 09:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-08-02 10:55:41 UTC
When importing frameworks using open office or another program a confirmation message asks you, if you are really sure you want to overwrite the existing framework, fields and subfields.

It would be nice, if this message showed which framework you are going to overlay, because this is not visible from the page or the message at the moment.
Comment 1 Magnus Enger 2012-09-19 08:46:29 UTC
*** Bug 8789 has been marked as a duplicate of this bug. ***
Comment 2 Magnus Enger 2012-09-19 08:47:03 UTC
At the moment, the message is: 

"Do you really want to import the framework fields/subfields (will overwrite
current configuration, for safety reasons please make before an export to have
a backup file)?"

This could probably benefit from some proofreading too. :-)
Comment 3 Aleisha Amohia 2016-01-28 19:53:53 UTC
Is this still valid? The message on the latest version is:

"Do you really want to import the framework fields and subfields? This will overwrite the current configuration. For safety reasons please use the export option to make a backup"

And when you click Import on a framework, it says "Import [% frameworkcode %] framework structure (fields and subfields) from a spreadsheet file (.csv, .xml, .ods)" at the top of the box so you know which one you're overwriting.
Comment 4 Katrin Fischer 2019-04-28 13:14:19 UTC
The framework is still not visible in the first modal, small change, but could be really helpful.
Comment 5 Aleisha Amohia 2019-04-29 03:28:53 UTC
Created attachment 88997 [details] [review]
Bug 8558: Improve confirmation message for importing frameworks

This patch updates the confirmation message from:
"Do you really want to import the framework fields and subfields? This
will overwrite the current configuration. For safety reasons please use
the export option to make a backup"
to:
"Are you sure you want to import the [% loo.frameworkcode | html %]
framework structure? This will overwrite the current configuration. For
safety reasons, it is recommended to use the export option to make a
backup first."

To test:
1) Go to Administration -> MARC bibliographic frameworks
2) Export one of the frameworks
3) Create a new test framework
4) Import the new test framework structure using the exported file
5) Upon clicking Confirm, confirm the message is improved and makes
sense.

Sponsored-by: Catalyst IT
Comment 6 Maryse Simard 2019-05-03 20:24:12 UTC
The framework code shown in the confirmation message is not the same as the chosen framework to overwrite. It always shows the code for the last framework in the list.
Comment 7 Aleisha Amohia 2019-05-05 22:52:32 UTC
Created attachment 89366 [details] [review]
Bug 8558: Improve confirmation message for importing frameworks

This patch updates the confirmation message from:
"Do you really want to import the framework fields and subfields? This
will overwrite the current configuration. For safety reasons please use
the export option to make a backup"
to:
"Are you sure you want to import the [% frameworkcode %]
framework structure? This will overwrite the current configuration. For
safety reasons, it is recommended to use the export option to make a
backup first."

To test:
1) Go to Administration -> MARC bibliographic frameworks
2) Export one of the frameworks
3) Create a new test framework
4) Import the new test framework structure using the exported file
5) Upon clicking Confirm, confirm the message is improved and makes
sense.

Sponsored-by: Catalyst IT
Comment 8 Aleisha Amohia 2019-05-05 22:52:53 UTC
(In reply to Maryse Simard from comment #6)
> The framework code shown in the confirmation message is not the same as the
> chosen framework to overwrite. It always shows the code for the last
> framework in the list.

Fixed, please retest
Comment 9 Liz Rea 2019-05-09 02:01:36 UTC
Created attachment 89489 [details] [review]
Bug 8558: Improve confirmation message for importing frameworks

This patch updates the confirmation message from:
"Do you really want to import the framework fields and subfields? This
will overwrite the current configuration. For safety reasons please use
the export option to make a backup"
to:
"Are you sure you want to import the [% frameworkcode %]
framework structure? This will overwrite the current configuration. For
safety reasons, it is recommended to use the export option to make a
backup first."

To test:
1) Go to Administration -> MARC bibliographic frameworks
2) Export one of the frameworks
3) Create a new test framework
4) Import the new test framework structure using the exported file
5) Upon clicking Confirm, confirm the message is improved and makes
sense.

Sponsored-by: Catalyst IT

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 10 Liz Rea 2019-05-09 02:01:44 UTC
Created attachment 89490 [details] [review]
Bug 8558: (QA follow-up) a little more text clean up

You can take or leave it, honestly, I just thought
we could be a little more explicit about what we were overwriting.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 11 Liz Rea 2019-05-09 02:03:47 UTC
Created attachment 89491 [details] [review]
Bug 8558: (QA follow-up) a little more text clean up

You can take or leave it, honestly, I just thought
we could be a little more explicit about what we were overwriting.
Comment 12 Katrin Fischer 2019-05-11 09:33:49 UTC
I just realized that with the modal staying in the background this is already a bit better than it used to be, because you can see the framework code there as well :)
Comment 13 Katrin Fischer 2019-05-11 09:34:33 UTC
Created attachment 89587 [details] [review]
Bug 8558: Improve confirmation message for importing frameworks

This patch updates the confirmation message from:
"Do you really want to import the framework fields and subfields? This
will overwrite the current configuration. For safety reasons please use
the export option to make a backup"
to:
"Are you sure you want to import the [% frameworkcode %]
framework structure? This will overwrite the current configuration. For
safety reasons, it is recommended to use the export option to make a
backup first."

To test:
1) Go to Administration -> MARC bibliographic frameworks
2) Export one of the frameworks
3) Create a new test framework
4) Import the new test framework structure using the exported file
5) Upon clicking Confirm, confirm the message is improved and makes
sense.

Sponsored-by: Catalyst IT

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2019-05-11 09:34:37 UTC
Created attachment 89588 [details] [review]
Bug 8558: (QA follow-up) a little more text clean up

You can take or leave it, honestly, I just thought
we could be a little more explicit about what we were overwriting.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Martin Renvoize 2019-06-06 15:10:37 UTC
Nice work!

Pushed to master for 19.11.00
Comment 16 Fridolin SOMERS 2019-06-11 15:16:28 UTC
Pushed to 19.05.x for 19.05.01
Comment 17 Lucas Gass 2019-06-12 22:43:02 UTC
backported to 18.11.x for 18.11.07